<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$user_id=$json['user_id'];
$sql="select ud.*, ur.role_id FROM users U JOIN user_details ud ON U.user_id = ud.user_id JOIN user_roles ur ON U.user_id = ur.user_id JOIN roles r ON ur.role_id = r.role_id WHERE U.active='1' and U.user_id='$user_id'";	
$result = $conn->query($sql);

$arr=array();
// output data of each row
while($row = mysqli_fetch_assoc($result)) {
      $arr[]=array("id" => $row['user_id'],"role_id" => $row['role_id'],"name" => $row['name'],"phone" => $row['phone'],"image" => "".$base_url."image/profile/".$row['image'],"email" => $row['email']);
}
$data = array("data" => $arr);
echo json_encode($data);    
$conn->close();
?>